/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-07-14 14:30:34
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-07-17 13:33:52
 * @FilePath: \Robot-Al-Platform-Web\src\renderer\src\config\designCanvas.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
export const logicFlowConf = {
  background: {
    backgroundColor: '#242529'
  },
  snapline: {
    //对齐线 false不开启
    stroke: '#ff0000', // 对齐线颜色
    strokeWidth: 1 // 对齐线宽度
  },
  textEdit: true, //是否开启文本编辑
  adjustEdge: true, //允许调整边
  adjustEdgeStartAndEnd: false, //是否允许拖动边的端点来调整连线
  edgeSelectedOutline: true, //鼠标 hover 的时候显示边的外框
  // background: {
  //   backgroundColor: variables.dragPanelBgColor
  // },
  // grid: {
  //   size: 10,
  //   visible: false
  // },
  keyboard: {
    enabled: true
  }

  // edgeTextDraggable: true,
  // hoverOutline: false,
  // nodeTextEdit: false, //节点是否可编辑。false不可编辑
  // edgeTextEdit: false, //边是否可编辑。false不可编辑
  // autoExpand: false //点拖动靠近画布边缘时是否自动扩充画布
}

export const logicFlowThemeConf = {
  baseNode: {
    fill: '#fff',
    stroke: '#154DDD',
    strokeWidth: 2
  },
  nodeText: {
    textWidth: 100, //文本宽度
    color: '#121212',
    overflowMode: 'default',
    lineHeight: 1.2,
    fontSize: 12
  },
  line: {
    stroke: '#154DDD',
    strokeWidth: 2
  },
  polyline: {
    stroke: '#154DDD',
    strokeWidth: 2
  },
  edgeText: {
    textWidth: 100,
    overflowMode: 'default',
    fontSize: 12,
    background: {
      fill: 'transparent'
    }
  }

  // {
  //   baseNode: {
  //     fill: '#FFFFFF',
  //     stroke: '#000000',
  //     strokeWidth: 1,
  //   },
  //   circle: {
  //     stroke: '#000000',
  //     strokeWidth: 1,
  //   },
  //   rect: {
  //     fill: '#FFFFFF',
  //     stroke: '#000000',
  //     outlineColor: '#88f',
  //     strokeWidth: 1,
  //   },
  //   polygon: {
  //     strokeWidth: 1,
  //   },
  //   polyline: {
  //     stroke: '#000000',
  //     hoverStroke: '#000000',
  //     selectedStroke: '#000000',
  //     strokeWidth: 1,
  //   },
  //   nodeText: {
  //     color: '#000000',
  //     overflowMode: 'ellipsis', //超出显示省略号
  //     padding: '0 15px',
  //     fontSize: 14,
  //   },
  //   edgeText: {
  //     color: '#000000',
  //     background: {
  //       fill: variables.dragPanelBgColor,
  //     },
  //   },
  // }
}
