/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-07-14 14:33:03
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-07-17 13:15:40
 * @FilePath: \Robot-Al-Platform-Web\src\renderer\src\hooks\useLoginFlow.ts
 * @Description: 画布通用处理层
 *
 */
export const useLogicFlow = () => {
  const graphData = {
    nodes: [
      {
        id: 'node_id_1',
        type: 'image-node',
        x: 200,
        y: 120,
        text: { x: 200, y: 120, value: '图像源' },
        properties: {}
      },
      {
        id: 'node_id_2',
        type: 'circle',
        x: 200,
        y: 300,
        text: { x: 200, y: 300, value: '节点2' },
        properties: {}
      }
    ],
    edges: [
      {
        id: 'edge_id',
        type: 'polyline',
        sourceNodeId: 'node_id_1',
        targetNodeId: 'node_id_2',
        text: { x: 200, y: 200, value: '' },
        startPoint: { x: 200, y: 140 },
        endPoint: { x: 200, y: 250 },
        pointsList: [
          { x: 200, y: 140 },
          { x: 200, y: 200 },
          { x: 200, y: 200 },
          { x: 200, y: 250 }
        ],
        properties: {}
      }
    ]
  }

  return { graphData }
}
